import urllib
from dateutil.parser import parse

def Start():
	return

class Movierotica(Agent.Movies):
	name = 'Movierotica'
	languages = [Locale.Language.English]
	accepts_from = ['com.plexapp.agents.localmedia', 'com.plexapp.agents.lambda']
	contributes_to = ['com.plexapp.agents.none']
	primary_provider = True

	def search(self, results, media, lang):
		url = "https://www.movierotica.com/api/?query=match&name=" + urllib.quote(media.name)
		movies = JSON.ObjectFromURL(url)
		for movie in movies:
			results.Append(MetadataSearchResult(id = str(movie['id']), name = movie['name'], lang = 'en', score = movie['score']))
		results.Sort('score', descending=True)

	def update(self, metadata, media, lang):
		metadata.collections.clear()
		metadata.genres.clear()
		metadata.directors.clear()
		metadata.producers.clear()
		metadata.roles.clear()

		uri = "https://www.movierotica.com/api/?query=movie&id=" + urllib.quote(metadata.id)
		data = JSON.ObjectFromURL(uri)

		if data['rating']:
			metadata.content_rating = data['rating']
		metadata.title = data["title"]
		metadata.studio = data["studio"]
		metadata.summary = data["summary"]

		if data['released']:
			metadata.originally_available_at = parse(data['released'])
			metadata.year = metadata.originally_available_at.year

		metadata.genres.add(data['library'])
		if data['categories']:
			for category in data['categories']:
				metadata.genres.add(category + ' (' + data['library'] + ')')

		if data['directors']:
			for director in data["directors"]:
				person = metadata.directors.new()
				person.name = director

		if data["producers"]:
			for producer in data["producers"]:
				person = metadata.producers.new()
				person.name = producer

		if data["cast"]:
			for actor in data["cast"]:
				person = metadata.roles.new()
				person.name = actor['name']
				#person.role = 
				if actor['img']:
					person.photo = actor['img']

		if data["front"]:
			metadata.posters[data["front"]] = Proxy.Media(HTTP.Request(data["front"]).content)

		if data["screenshot"]:
			metadata.art[data["screenshot"]] = Proxy.Media(HTTP.Request(data["screenshot"]).content)

	#	metadata.tagline = scene_data['site']['name']

		return metadata
